Subject: bug#2348: closed (Re: bug#2348: 23.0.90; rmail: weird "??????" in rmail-summary-buffer)

From: [email-masked] (GNU bug Tracking System)
Date: Mon, 11 Jul 2011 02:04:02 +0000

Your bug report

#2348: 23.0.90; rmail: weird "??????" in rmail-summary-buffer

which was filed against the emacs package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
2348: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=2348
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#2348: 23.0.90; rmail: weird "??????" in rmail-summary-buffer
From: Glenn Morris <[email-masked]>
To: [email-masked]
Date: Sun, 10 Jul 2011 22:03:52 -0400
List-Id: <debbugs-submit.debbugs.gnu.org>

No examples ever arrived, so I am closing this under the assumption that
it has been fixed. If you still see the problem with the latest release,
23.3, please reply with more details and it can be reopened if needed.

You can see the full report at http://debbugs.gnu.org/BUGNUMBER

Xavier Maillard wrote:

>    > The date information is replaced by a string of "?". I checked
>    > the messages (at least the first one) and it has a valide Date
>    > header.
>
>    Obviously rmail-header-summary doesn't think it is valid, so please
>    show some examples of what the Date: headers actually look like.
>
> I can't; it seems it only appears with newly arrived messages.
> Quitting rmail (and killing its buffers) is likely to fix
> something since I no longer have these caracters.
>
> Next e-mail batch, I will send examples.

Subject: 23.0.90; rmail: weird "??????" in rmail-summary-buffer
From: Xavier Maillard <[email-masked]>
To: [email-masked]
Date: Mon, 16 Feb 2009 22:25:05 +0100

My summary buffer looks like this:

 8473  ??????         [email-masked]  [88] { help-gnu-emacs } tramp gdb - source files
 8537- ??????     [email-masked] [114] { help-gnu-emacs } Re: tramp gdb - source files
 8585- ??????         [email-masked] [108] { help-gnu-emacs } Re: tramp gdb - source files
 8587- ??????         [email-masked]  [96] { help-gnu-emacs } Re: tramp gdb - source files
 8588- ??????         [email-masked]  [91] { help-gnu-emacs } Re: tramp gdb - source files
 8589- ??????         [email-masked] [110] { help-gnu-emacs } Re: tramp gdb - source files
 8597- ??????     [email-masked] [129] { help-gnu-emacs } Re: tramp gdb - source files
 8660  ??????         [email-masked]  [94] { help-gnu-emacs } Re: tramp gdb - source files

The date information is replaced by a string of "?". I checked
the messages (at least the first one) and it has a valide Date
header.

In GNU Emacs 23.0.90.2 (i686-pc-linux-gnu, GTK+ Version 2.12.12)
 of 2009-02-14 on zogzog
Windowing system distributor `The X.Org Foundation', version 11.0.10402000
configured using `configure  '--without-xft''

Important settings:
  value of $LC_ALL: nil
  value of $LC_COLLATE: en_US.UTF-8
  value of $LC_CTYPE: fr_FR.UTF-8
  value of $LC_MESSAGES: en_US.UTF-8
  value of $LC_MONETARY: fr_FR.UTF-8
  value of $LC_NUMERIC: en_US.UTF-8
  value of $LC_TIME: en_US.UTF-8
  value of $LANG: en_US.UTF-8
  value of $XMODIFIERS: nil
  locale-coding-system: utf-8-unix
  default-enable-multibyte-characters: t

Major mode: RMAIL Summary

Minor modes in effect:
  rcirc-track-minor-mode: t
  eev-mode: t
  jabber-activity-mode: t
  auto-insert-mode: t
  global-hi-lock-mode: t
  hi-lock-mode: t
  show-paren-mode: t
  global-auto-revert-mode: t
  display-time-mode: t
  shell-dirtrack-mode: t
  recentf-mode: t
  icomplete-mode: t
  desktop-save-mode: t
  auto-image-file-mode: t
  tooltip-mode: t
  mouse-wheel-mode: t
  file-name-shadow-mode: t
  global-font-lock-mode: t
  font-lock-mode: t
  global-auto-composition-mode: t
  auto-composition-mode: t
  auto-encryption-mode: t
  auto-compression-mode: t
  column-number-mode: t
  transient-mark-mode: t
  abbrev-mode: t

Recent input:
<left> <left> <left> <left> <right> C-SPC <right> <right> 
<right> <right> <right> <right> <right> <right> <right> 
<right> C-w c r o n C-e , [ C c ] r e d i t , [ C c 
a r <backspace> <backspace> ] a r d <return> C-x 1 
8 0 7 8 j d d d d d d d d d d d d d d d d C-l d d d 
d d d d d d d d d C-l d d d d d d d C-l d d d d d d 
d d d d C-l d d d d d d d d d M-< h C-x 1 C-l C-l C-l 
C-l C-l M-> 9 1 2 2 j SPC SPC SPC C-x 1 C-l C-l C-l 
9 0 9 7 j C-l C-x 1 C-l C-M-t [ B b ] u s i n e s s 
, x m a @ g n u . o r g , <backspace> , a c c o u n 
t <backspace> <backspace> <backspace> <backspace> <backspace> 
<backspace> <backspace> [ O o ] f f e r , <backspace> 
<return> 8 1 6 5 j d d d d d d d d d d d d <down> d 
d d d d d d d d C-l d d d <down> d M-< h C-x 1 C-l 
C-l C-l C-M-t [ S s ] a t i s f a c <backspace> <return> 
d d h C-x 1 C-M-t [ D d ] i s a r m e d <return> d 
d SPC d d d h C-x 1 C-M-t t r a m p SPC g d b <return> 
C-SPC C-x h M-w M-x r e p o r t - <tab> <return>

Recent messages:
Computing summary lines...done
Mark set
Computing summary lines...done
Computing summary lines...done
Computing summary lines...done
Computing summary lines...done
Computing summary lines...done
Computing summary lines...done
Mark activated
Mark set [2 times]

	Xavier
-- 
http://www.gnu.org
http://www.april.org
http://www.lolica.org